// SPDX-FileCopyrightText: 2018 - 2022 UnionTech Software Technology Co., Ltd.
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef FLIGHTPAGE_H
#define FLIGHTPAGE_H

#include "interface/namespace.h"
#include <widgets/contentwidget.h>

#include <QWidget>
#include <QStandardItemModel>

#include <com_deepin_daemon_airplanemode.h>

using AirplanInter = com::deepin::daemon::AirplaneMode;

namespace dde {
namespace network {
class NetworkModel;
}
}

namespace dcc {
class ContentWidget;
namespace widgets {
class SettingsGroup;
class SwitchWidget;
class LoadingNextPageWidget;
}
}

namespace DCC_NAMESPACE {
namespace network {
class ConnectionVpnEditPage;
class AirplaneModepage : public dcc::ContentWidget
{
    Q_OBJECT

public:
    explicit AirplaneModepage(QWidget *parent = nullptr);

public Q_SLOTS:
    void AirplaneEnable(bool enable) const;

private:
    dcc::widgets::SwitchWidget *m_airplaneModeSwitch;   // 飞行模式开关
    AirplanInter *m_airplaneInter;                      // 飞行模式dbus接口(system dbus)  com.deepin.daemon.AirplaneMode
    dcc::widgets::SwitchWidget *m_showInDockSwitch;     // 在任务栏显示开关
};

}
}
#endif // FLIGHTPAGE_H
