// SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
//
// SPDX-License-Identifier: LGPL-3.0-or-later

#ifndef COMPACTLISTVIEW_H
#define COMPACTLISTVIEW_H

#include "widgets/multiselectlistview.h"

#include <QDBusMessage>

class CompactListView : public dcc::widgets::MultiSelectListView
{
    Q_OBJECT

public:
    explicit CompactListView(const QSize &normalSize, const QSize &compactModeSize, QWidget *parent = nullptr);

public:
    int currentSizeMode() const;
    void setAutoSizeForModeChanged(const QSize &normalSize, const QSize &compactModeSize);
    void setAutoSpacingForModeChanged(int normalSpace, int compactModeSpace);
    const QSize &normalSize() { return m_normalSize; }
    const QSize &compactModeSize() { return m_compactModeSize; }

private slots:
    void handleAppearanceDbusSignal(QDBusMessage message);

private:
    QSize m_normalSize;
    QSize m_compactModeSize;
};

#endif // COMPACTVIEW_H
