#ifndef ACTIVECONNECTIONINFO_H
#define ACTIVECONNECTIONINFO_H

#include <QObject>
#include <QJsonObject>

#include <NetworkManagerQt/ActiveConnection>
#include <NetworkManagerQt/Device>

namespace dde {
namespace network {

class ActiveConnectionInfo : public QObject
{
    Q_OBJECT

public:
    explicit ActiveConnectionInfo(QObject *parent = nullptr);
    QJsonArray json(const QStringList &allDevicePaths) const;

private:
    QJsonObject json(const QString &devicePath, const NetworkManager::ActiveConnection::Ptr &activeConn) const;
    QString getSecurity(const NetworkManager::Device::Ptr &device) const;
    const QString macAddress(const NetworkManager::Device::Ptr &device) const;
    QJsonObject hotspotJson(const NetworkManager::Device::Ptr &device) const;
    QJsonObject ipJson(const NetworkManager::Device::Ptr &device, const NetworkManager::ActiveConnection::Ptr &activeConnection, bool isIpV6 = false) const;
};

}
}

#endif // ACTIVECONNECTIONINFO_H
